/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
//#define SW2 // If you want to use sw2 instad of Capsense, uncomment this line.
#include "project.h"

uint32_t sw=0;  //sw is off (Stop rolling dicce)
int main(void)
{
    __enable_irq(); /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    Clock_Enable() ;

#ifndef SW2
    CapSense_Start();
    CapSense_ScanAllWidgets(); // Start Initial Scan
#endif
    for(;;)
    {
#ifdef SW2  
        if(sw==0){
            if(Cy_GPIO_Read(SW2_0_PORT,SW2_NUM)==0){
                Timer_SetPeriod(400);
                Timer_SetCounter(0); 
                Timer_Start();  // Start rolling dice
                sw=1;
            }
        }
        if(sw==1){
            if(Cy_GPIO_Read(SW2_0_PORT,SW2_NUM)==1){
                /* Roll dice slowly */
                Timer_SetPeriod(2000);
                Timer_SetCounter(0);
                CyDelay(1500);  // keep rolling slowly for 1.5sec
                Timer_Disable();// Stop rolling dice                    
                sw=0;           // sw is off            
            }
        }
#else
        if(!CapSense_IsBusy())
        {
            CapSense_ProcessAllWidgets();
            
            if(sw==0){ // If sw is on, check start botton0.
                if(CapSense_IsWidgetActive(CapSense_BUTTON0_WDGT_ID)) // Check button 0 state
                {
                    /* Start rolling dice*/
                    PWM_1_SetCounter(0);
                    PWM_1_SetPeriod0(399);
                    //PWM_1_SetCompare0(200); 
                    PWM_1_Start();  // Start rolling dice
                    PWM_2_Start();
                    sw=1; // sw is on
                }
            }
            
            if(sw==1){ // If sw is on, check stop botton0.
                if(CapSense_IsWidgetActive(CapSense_BUTTON1_WDGT_ID)) // Check button 1 state
                {
                    /* Roll dice slowly */
                    PWM_1_SetCounter(0);
                    PWM_1_SetPeriod0(1999);
                    //PWM_1_SetCompare0(200);
                    CyDelay(1500);  // keep rolling slowly for 1.5sec
                    PWM_1_Disable();// Stop rolling dice                    
                    PWM_2_Disable();
                    sw=0;           // sw is off
                }
            }
            
            CapSense_UpdateAllBaselines();
            CapSense_ScanAllWidgets(); // Start next scan
        }
#endif
    }
}

/* [] END OF FILE */
